
Infrastructure - Bug #1777

d1_libclient_java blocks on read

2011-09-09 14:46 - Robert Waltz

Status: Closed Start date: 2011-09-09

Priority: High Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_libclient_java Estimated time: 0.00 hour

Target version: Sprint-2011.37-Block.5   

Milestone: CCI-0.6.4 Story Points:  

Product Version: *   

Description

Due to a misconfiguration of tomcat and programmatic error, a 404 error with a resulting error message causes the

d1_libclient_java's use of d1_common_java's ExceptionHandler to block while executing the input stream read

(IOUtils.toString(errorStream))  in deserializeHtmlAndThrowException.

Setting CONNECTION_TIMEOUT and SO_TIMEOUT on the apache DefaultHttpClient did not help.

History

#1 - 2011-09-13 19:11 - Rob Nahf

- Status changed from New to In Progress

- Target version set to Sprint-2011.36-Block.5

Robert reports that the new timeout settings in RestClient are working for him now.  Going to keep this open as a reminder to clean up and

parameterize the timeouts.

#2 - 2011-09-14 11:20 - Dave Vieglais

- Target version changed from Sprint-2011.36-Block.5 to Sprint-2011.37-Block.5

- Position set to 13

#3 - 2011-09-16 19:10 - Rob Nahf

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

added setTimeouts(milliseconds) to D1RestClient and RestClient.

Gave a default value of 30 seconds to the client.
